<header class="fixed-top">
    <nav class="navbar navbar-light bg-white">
        <a class="navbar-brand">
          <i tabindex="0" (keyup.space)="menu.toggle()" (click)="menu.toggle()" class="fa fa-bars mr-2"></i>
          ALURAPIC
        </a>

        <ap-menu #menu>
          <li class="list-unstyled">
            <a showIfLogged [routerLink]="['p','add']">Upload</a>
          </li>
        </ap-menu>

        <div *ngIf="(user$ | async) as user; else login">
            <i class="fa fa-user-circle mr-1"></i>
            <a class="mr-1">{{user?.name}}</a>
            <a (click)="logout()">(logout)</a>
        </div>
        <ng-template #login>
            <span class="navbar-text">
                <a [routerLink]="['/']">Please, login!</a>
            </span>
        </ng-template>
    </nav>
    <div class="fixed-top">
      <ap-loading></ap-loading>
      <ap-alert></ap-alert>
    </div>
</header>
